Site fixes - Feature #107

[Roadmap 5] A user-controlled reCAPTCHA client library
02/24/2022 10:54 AM - koszko

Status: Closed Start date: 02/24/2022
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

Haketilo's goal is to give internet users control over their browsing. Replacing proprietary,
privacy-hostile client-side programs is part of that. A tool similar to the librecaptcha Python program
is needed, but in the form of a javascript library.

For now we shall only be targeting reCAPTCHA v2 (as v3 is not based on challenges at all).

Roadmap

Related issues:
Blocked by Haketilo - Feature #71: [Roadmap 5][Milestone] Make it possible fo... Closed 08/02/2021

History

#1 - 02/24/2022 12:58 PM - koszko
- Blocked by Feature #71: [Roadmap 5][Milestone] Make it possible for injected scripts to bypass CORS added

#2 - 03/03/2022 05:24 PM - koszko

- Project changed from Haketilo to Site fixes

#3 - 03/03/2022 05:24 PM - koszko
- Subject changed from [Roadmap 5] A user-controlled reCAPTCHA client to [Roadmap 5] A user-controlled reCAPTCHA client library

#4 - 05/26/2022 03:08 PM - koszko
- % Done changed from 0 to 80

https://qit.koszko.org/haketilo-packages/cors-bypass/
https://git.koszko.org/haketilo-packages/hackicha/

It's achievable :) | already solved a few reCAPTCHAs using this code. What's left is some work in Hydrilla&Haketilo + packaging and releasing
everything

#5 - 06/21/2022 02:33 PM - koszko
- Status changed from New to Closed

- % Done changed from 80 to 100

done
